#include<iostream>

using namespace std;

long long n,poc[75],k=1,br;

int main()
{
    cin>>n;
    for(long long i=1;i<=n;i*=10,k++)
    {
        poc[k]=i;
        k++;
        poc[k]=i*2;
        k++;
        poc[k]=i*5;
    }
    k--;
//    for(int i=1;i<=k;i++)
//    {
//        cout<<poc[i]<<endl;
//    }
    while(n>0)
    {
        if(n>=poc[k]){
            n-=poc[k];
            br++;
        }
        else
            k--;
    }
    cout<<br<<endl;

    return 0;
}